<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title> <?php echo $__env->yieldContent('title'); ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Eventbiz is event and conference website template">
    <meta name="keywords" content="camp, conference, conference theme, event, event schedule, event website, event wordpress theme, exhibition, expo">
    <link rel="icon" type="image/png" href="<?php echo e(asset('images\logo.png')); ?>" sizes="32*32">
    <meta name="author" content="">

    <!--[if lt IE 9]>
	<script src="<?php echo e(asset('js/html5shiv.js')); ?>"></script>
	<![endif]-->

    <!-- CSS Files
    ================================================== -->
    <link rel="stylesheet" href="<?php echo e(asset('css\bootstrap.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('css\animate.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('css\owl.carousel.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('css\magnific-popup.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('css\jquery.countdown.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('css\style.css')); ?>" type="text/css">

    <!-- background -->
    <link rel="stylesheet" href="<?php echo e(asset('css\bg.css')); ?>" type="text/css">
	
	<!-- color -->
    <link rel="stylesheet" href="<?php echo e(asset('css\color.css')); ?>" type="text/css">
</head>

<body id="homepage">

    <div id="wrapper">

        <!-- header begin -->
        <header>
            <div class="info">
                <div class="container">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="col"><span class="id-color"><i class="fa fa-map-marker"></i></span>100 Mainstreet Center, Sydney</div>
                            <div class="col"><span class="id-color"><i class="fa fa-clock-o"></i></span>Saturday 3 August 2023 14:00 PM - 16:00 PM</div>
                        </div>
                        <div class="col-md-4 text-right">
                            <a href="rsvp.html" class="btn btn-custom btn-small">I'm Attending</a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <!-- logo begin -->
                        <div id="logo">
                            <a href="#">
                                <img class="logo" src="<?php echo e(asset('images\logo-light.png')); ?>" alt="">
                                <img class="logo-2" src="<?php echo e(asset('images\logo-dark.png')); ?>" alt="">
                            </a>
                        </div>
                        <!-- logo close -->

                        <!-- small button begin -->
                        <span id="menu-btn"></span>
                        <!-- small button close -->

                        <!-- mainmenu begin -->
                        <nav>
                            <ul id="mainmenu">
                                <li><a  href="<?php echo e(route('conference.home')); ?>" class="<?php echo e((request()->is('/')) ? 'active' : ''); ?>">Home</a></li>
                                <li><a href="#"  class="<?php echo e((request()->is('schedules')) ? 'active' : ''); ?>">Schedules</a></li> 
                                <li><a href="#"  class="<?php echo e((request()->is('speakers')) ? 'active' : ''); ?>">Speakers</a></li>
                                <li><a href="#"  class="<?php echo e((request()->is('workshops')) ? 'active' : ''); ?>">Workshops</a></li>
                                <li><a href="#"  class="<?php echo e((request()->is('sponsorship')) ? 'active' : ''); ?>">Sponsorship</a></li>
                                <li><a href="<?php echo e(route('conference.info')); ?>"  class="<?php echo e((request()->is('info')) ? 'active' : ''); ?>">Info</a></li>  
                            
                               <!-- <li><a href="<?php echo e(route('conference.schedules')); ?>"  class="<?php echo e((request()->is('schedules')) ? 'active' : ''); ?>">Schedules</a></li> 
                                <li><a href="<?php echo e(route('conference.speakers')); ?>"  class="<?php echo e((request()->is('speakers')) ? 'active' : ''); ?>">Speakers</a></li>
                                <li><a href="<?php echo e(route('conference.workshops')); ?>"  class="<?php echo e((request()->is('workshops')) ? 'active' : ''); ?>">Workshops</a></li>
                                <li><a href="<?php echo e(route('conference.sponsorship')); ?>"  class="<?php echo e((request()->is('sponsorship')) ? 'active' : ''); ?>">Sponsorship</a></li>
-->
                            
                            
                            </ul>
                        </nav>

                    </div>
                    <!-- mainmenu close -->

                </div>
            </div>
        </header>
        <!-- header close -->

        <!-- sub header begin -->
        
        <?php echo $__env->yieldContent('subheader'); ?>
            

        <!-- content begin -->
        
         <?php echo $__env->yieldContent('content'); ?>
            
       <!-- about begin -->
        
          <?php echo $__env->yieldContent('about'); ?>
            
       <!-- dignitaries/speakers begin -->
        
         <?php echo $__env->yieldContent('dignitaries'); ?>
            
         <!-- sponsors -->
        
         <?php echo $__env->yieldContent('sponsors'); ?>
            
         <!-- sponsors -->
        
         <?php echo $__env->yieldContent('info'); ?>
            
        <!-- footer begin -->
        <footer>
            <div class="container text-center text-light">
                <div class="row">
                    <div class="col-md-12">
                        <div class="social-icons big">
                            <a href="#"><i class="fa fa-facebook fa-lg"></i></a>
                            <a href="#"><i class="fa fa-twitter fa-lg"></i></a>
                            <a href="#"><i class="fa fa-rss fa-lg"></i></a>
                            <a href="#"><i class="fa fa-google-plus fa-lg"></i></a>
                            <a href="#"><i class="fa fa-skype fa-lg"></i></a>
                            <a href="#"><i class="fa fa-dribbble fa-lg"></i></a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="subfooter">
                <div class="container text-center">
                    <div class="row">
                        <div class="col-md-12">
                            &copy; Digital Kano 2023 - Powered By AITS HUB                     
                        </div>
                    </div>
                </div>
            </div>
        </footer>
        <!-- footer close -->

        <a href="#" id="back-to-top"></a>
        <div id="preloader">
            <div class="preloader1"></div>
        </div>
    



    <!-- Javascript Files
    ================================================== -->
    <script src="<?php echo e(asset('js\jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js\bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js\jquery.isotope.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js\easing.js')); ?>"></script>
    <script src="<?php echo e(asset('js\owl.carousel.js')); ?>"></script>
    <script src="<?php echo e(asset('js\jquery.countTo.js')); ?>"></script>
    <script src="<?php echo e(asset('js\wow.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js\jquery.magnific-popup.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js\enquire.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js\jquery.stellar.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js\jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js\jquery.countdown.js')); ?>"></script>
    <script src="<?php echo e(asset('js\countdown-custom.js')); ?>"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAc5d1RS_0yWJ1Hyw2hGWfbRZ9KKaxFAZo') }}"></script>
    <script src="<?php echo e(asset('js\map.js')); ?>"></script>
    <script src="<?php echo e(asset('js\designesia.js')); ?>"></script>

</body>
</html>
<?php /**PATH C:\wamp64\www\digitalkano\resources\views/layout.blade.php ENDPATH**/ ?>